Bug 836076 - (CVE-2012-3360) CVE-2012-3360 OpenStack-Nova: compute nodes file injection in disk images
CVE-2012-3360 OpenStack-Nova: compute nodes file injection in disk images
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120703,repor...
: Security
Depends On: 844036 844040
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 23:41 EDT by Kurt Seifried
Modified: 2016-11-08 11:03 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 15:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-06-27 23:41:40 EDT
Thierry Carrez <thierry@openstack.org> reports:

Title: Arbitrary file injection/corruption through directory
traversal issues Impact: Critical Reporter: Matthias Weckbecker
(SUSE Security team)

Description: Matthias Weckbecker from SUSE Security team reported a
vulnerability in Nova compute nodes handling of file injection in
disk images. By requesting files to be injected in malicious paths,
a remote authenticated user could inject files in arbitrary
locations on the host file system, potentially resulting in full
compromise of the compute node. Only Essex and later setups running
the OpenStack API over libvirt-based hypervisors are affected.
Comment 1 Kurt Seifried 2012-07-03 15:24:22 EDT
This is public now www.openwall.com/lists/oss-security/2012/07/03/2 filing trackers
Comment 3 Kurt Seifried 2012-07-28 02:11:37 EDT
Created openstack-nova tracking bugs for this issue

Affects: fedora-all [bug 844036]
Comment 4 Kurt Seifried 2012-07-28 02:19:56 EDT
Created openstack-nova tracking bugs for this issue

Affects: epel-6 [bug 844040]

Note You need to log in before you can comment on or make changes to this bug.